Bug 112607 - Option "Create single print jobs for collated output" does the opposite of what it says
Summary: Option "Create single print jobs for collated output" does the opposite of wh...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-24 08:48 UTC by Laurent BP
Modified: 2018-05-04 07:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2017-09-24 08:48:36 UTC
Description: since LibO 5.3, printing multiple copies results in multiple jobs in printer's queue. It is simply because default value change. See bug 107416 comment 11. Setting option "Create single print jobs for collated output" to false solves the issue. Then the option does the opposite of what it says

Steps to reproduce:
1. Ctrl+P
2. In General tab, change the number of copies >1
3. In Options tab, check/uncheck option "Create single print jobs for collated output"
4. OK
5. Have a look the printer's queue

Actual behavior:
- if option "Create single print jobs for collated output" is checked, then multiple jobs are created
- if option "Create single print jobs for collated output" is unchecked, then a single job is created

Expected behavior
Checked/unchecked behaviors should reversed
Comment 1 m.a.riosv 2017-09-24 10:03:54 UTC
Collate ON + Single ON -> multiple print jobs.
Collate ON + Single OFF -> single print jobs.
Version: 6.0.0.0.alpha0+
Build ID: 83288332f7ced698610739419989c464256f1c4d
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: es-ES (es_ES); Calc: CL

Collate ON + Single ON -> multiple print jobs.
Collate ON + Single OFF -> single print jobs.
Version: 5.1.4.0.0+
Build ID: ec1a2322b862468621ce45500d74dac252bf1714
CPU Threads: 4; OS Version: Windows 6.2; UI Render: GL; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-1, Time: 2016-04-28_06:49:38
Locale: es-ES (es_ES)

Collate ON + Single ON -> multiple print jobs.
Collate ON + Single OFF -> single print jobs.LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 Michael Turner 2018-05-01 16:21:48 UTC
This caused me terrible printing delays for months before I figured it out (printing 30 seconds per page, as each copy was submitted as a separate job).

This is clearly an "ambiguous English" problem in the phrase "Create single print jobs for collated output".

It should probably read "Create *separate* print jobs for collated output".

I suppose the original intention was to create a single job *FOR EACH* copy of the collated output (i.e. multiple jobs).  "Separate" is much clearer than "single" and, I think, unambiguous.

Does this count as a bug?  If not, where should this change be suggested?

Thanks!
Comment 3 Gabor Kelemen 2018-05-03 19:10:33 UTC
Using the word Separate here sounds good, but let's ask UX too.

Also, I just submitted a patch to use this:
https://gerrit.libreoffice.org/53816
Comment 4 Heiko Tietze 2018-05-04 07:30:06 UTC
Not a native speaker but separate sounds pretty clear. Thanks for the patch, Gabor.
Comment 5 Commit Notification 2018-05-04 07:30:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb027f0f556c48e42a08059c8e92c3bfc0f52209

tdf#112607 Use better wording for single/multiple print job option

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.